OpenNMS API 1.2.9

## org.opennms.web.admin.views.parsers
Class Category

    java.lang.Object
      org.opennms.web.admin.views.parsers.Category

All Implemented Interfaces:
  java.lang.Cloneable

public class Category
extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`private java.lang.String` `m_comments`
`private java.lang.String` `m_label`
`private java.lang.String` `m_normal`
`private java.lang.String` `m_rule`
`private java.util.List` `m_services`
`private java.lang.String` `m_warning`

Constructor Summary
`Category()`
`Category(java.lang.String aDataString)` Deprecated.
`Category(java.lang.String aLabel, java.lang.String aRule, java.lang.String aNormal, java.lang.String aWarning)`

Method Summary
`void` `addService(java.lang.String name)` Adds a service to this category
`java.lang.Object` `clone()`
`java.lang.String` `getComments()`
`java.lang.String` `getLabel()`
`java.lang.String` `getNormal()`
`java.lang.String` `getRule()`
`java.util.List` `getServices()` Returns the list of services in this category
`java.lang.String` `getUserManagerFormat()` Deprecated.
`java.lang.String` `getWarning()`
`void` `setComments(java.lang.String comment)`
`void` `setLabel(java.lang.String aValue)`
`void` `setNormal(java.lang.String aValue)`
`void` `setRule(java.lang.String aValue)`
`void` `setServices(java.util.List services)` Sets the list of services
`void` `setWarning(java.lang.String aValue)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_label

    private java.lang.String m_label

### m_rule

    private java.lang.String m_rule

### m_normal

    private java.lang.String m_normal

### m_warning

    private java.lang.String m_warning

### m_services

    private java.util.List m_services

### m_comments

    private java.lang.String m_comments

Constructor Detail

### Category

    public Category()

### Category

    public Category(java.lang.String aLabel,
                    java.lang.String aRule,
                    java.lang.String aNormal,
                    java.lang.String aWarning)

### Category

    public Category(java.lang.String aDataString)

  Deprecated.

  This constructor creates a Category by parsing a string in the UserManager format

Parameters:
  `aDataString` - a string in the format "label$normal$warning$rule"

Method Detail

### clone

    public java.lang.Object clone()

### setLabel

    public void setLabel(java.lang.String aValue)

### getLabel

    public java.lang.String getLabel()

### setRule

    public void setRule(java.lang.String aValue)

### getRule

    public java.lang.String getRule()

### setNormal

    public void setNormal(java.lang.String aValue)

### getNormal

    public java.lang.String getNormal()

### setWarning

    public void setWarning(java.lang.String aValue)

### getWarning

    public java.lang.String getWarning()

### addService

    public void addService(java.lang.String name)

  Adds a service to this category

  Parameters:
    `name` - the service name.

### getServices

    public java.util.List getServices()

  Returns the list of services in this category

  Returns:
    the list of services.

### setServices

    public void setServices(java.util.List services)

  Sets the list of services

  Parameters:
    `services` - a list of service names

### setComments

    public void setComments(java.lang.String comment)

### getComments

    public java.lang.String getComments()

### getUserManagerFormat

    public java.lang.String getUserManagerFormat()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.